### Name: calcul.dist.cities
### Title: Calcule la distance  la ville la plus proche et recode le
###   milieu de rsidence.
### Aliases: calcul.dist.cities
### Keywords: math

### ** Examples

## Chargement des donnes
data(alicante)

## Carte des villes de plus de 100.000 habitants
map.cities(alicante.cities, alicante.bounds, min.population=100000,
   new.window=FALSE, main='Main cities of Alicante')

## Carte des clusters par milieu de rsidence
x11()
map.clust(alicante.clust, alicante.bounds, type='urb', new.window=FALSE,
   main='Clusters by type of residence')

## Slection des villes de plus de 100.000 habitants
main.cities <- alicante.cities[alicante.cities$population > 100000, ]

## Calcul des distances  la ville de plus de 100.000 habitants
## la plus proche et vrification des rsulats
alicante.clust <- calcul.dist.cities(alicante.clust, main.cities,
   type='all', dist=25)
verif.urb(alicante.clust)

## Slection des villes de plus de 250.000 habitants
main.cities <- alicante.cities[alicante.cities$population > 250000, ]

## Calcul des distances  la ville de plus de 250.000 habitants
## la plus proche et vrification des rsulats
alicante.clust <- calcul.dist.cities(alicante.clust, main.cities,
   type='all', dist=25)
verif.urb(alicante.clust)
infos.prev(alicante.clust)

## Carte des clusters selon leur appartenance  une agglomration urbaine
x11()
map.clust(alicante.clust, alicante.bounds, type='urb', new.window=FALSE,
   var.urb='urban.area', inverse=TRUE,
        main='Clusters in urban agglomeration')




