### Name: krige.prev
### Title: Ralise des interpolations spatiales par krigeage et/ou selon
###   une pondration inverse  la distance.
### Aliases: krige.prev
### Keywords: smooth

### ** Examples

data(alicante)

## Krigeage

show.vgms()
alicante.krige <- krige.prev(alicante.prev, boundary=alicante.bounds, 
        formula=c(est.prevalence.N100.RInf.U0~1,
                est.prevalence.N250.RInf.U0~1,
                est.prevalence.N250.R128.U0~1,
                est.prevalence.N250.R128.U6~1,
                circle.radius.N250.R128.U6~1,
                quality.indicator.N250.R128.U6~1),
        model=list(vgm(53.58,'Exp',0.56),
                vgm(48.97,'Exp',1.06),
                vgm(49.19,'Exp',1.07),
                vgm(42.47,'Exp',0.58),
                vgm(1056,'Exp',0.89),
                vgm(150000,'Exp',2.1)),
        type='model', ask.cell.size=FALSE,
                cell.size=0.075, show.variogram=FALSE)

## Reprsentation graphique

spplot(extract.col(alicante.krige))

spplot(alicante.krige,
        zcol = c('est.prevalence.N100.RInf.U0.pred',
                'est.prevalence.N250.RInf.U0.pred',
                'est.prevalence.N250.R128.U0.pred',
                'est.prevalence.N250.R128.U6.pred'),
        col.regions=prevR.colors.red(21),
        cuts=20,
        main='Estimated prevalence with several parameters')
x11()
spplot(alicante.krige,
        zcol = 'circle.radius.N250.R128.U6.pred',
        col.regions=prevR.colors.blue(21),
        cuts=20,
        main='Radius of circles - N=250 R=128 U=6')
x11()
spplot(alicante.krige,
        zcol = 'quality.indicator.N250.R128.U6.pred',
        col.regions=prevR.colors.green.inverse(21),
        cuts=20,
        main='Quality indicator - N=250 R=128 U=6')

## Exportation au format asc

## Not run: 
##D write.asciigrid(alicante.krige, 'alicante-krige.asc')
## End(Not run)




